#include "spi.h"
#include <util/delay.h>

u08 i;
volatile u08 slowModeDelay = 0;

void SPI_MasterInit(void)
{
	SPI_PORT_DDR |= (1<<SPI_SS)|(1<<SPI_SCK)|(1<<SPI_MOSI); // nastaveni pinu pro SPI jako vystupy
	SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPR1)|(0<<SPR0);// SPI master mode, fck/64

	SPI_PORT |= (1<<SPI_SS); // nahozeni SS
}

// odeslani bytu do SPI
void SPI_SendByte(u08 cData)
{
// shozeni SS a cekani podle manualu IQRF
SPI_PORT &= ~(1<<SPI_SS);
_delay_us(30);

// zacatek vysilani
SPDR = cData;
// cekani na dokonceni vysilani
while(!(SPSR & (1<<SPIF)));

// cekani, nahozeni SS
_delay_us(30);
SPI_PORT |= (1<<SPI_SS);
// pokud IQRF pracuje ve slow modu, pridame dalsi zpozdeni
_delay_us(150+2*slowModeDelay);

}

// odeslani + prijeti bytu po SPI, fce vraci prijaty byte
u08 SPI_TranscieveByte(u08 cData)
{
// shozeni SS a cekani
SPI_PORT &= ~(1<<SPI_SS);
_delay_us(30);

// zacatek vysilani
SPDR = cData;
// cekani na dokonceni vysilani
while(!(SPSR & (1<<SPIF)));

cData = SPDR;

// cekani, nahozeni SS
_delay_us(30);
SPI_PORT |= (1<<SPI_SS);
_delay_us(150+2*slowModeDelay);

return cData;
}
