#ifndef SPI_H
#define SPI_H

#include <avr/io.h>
#include "global.h"

// PORT na kterem je SPI
#define SPI_PORT 	 PORTB
#define SPI_PORT_DDR DDRB

// SPI piny
#define SPI_SS   PB4
#define SPI_SCK  PB7
#define SPI_MOSI PB5
#define SPI_MISO PB6

volatile extern u08 slowModeDelay;

// inicializace SPI do MASTER modu
extern void SPI_MasterInit(void);

// odeslani bytu bez prijmu
extern void SPI_SendByte(u08 cData);

// odeslani bytu s prijmem
extern u08 SPI_TranscieveByte(u08 cData);

#endif
